/* audioc.cmdline.h */

/* File autogenerated by gengetopt version 2.17rc2  */

#ifndef AUDIOC_CMDLINE_H
#define AUDIOC_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef AUDIOC_CMDLINE_PARSER_PACKAGE
#define AUDIOC_CMDLINE_PARSER_PACKAGE "para_audioc"
#endif

#ifndef AUDIOC_CMDLINE_PARSER_VERSION
#define AUDIOC_CMDLINE_PARSER_VERSION "(paraslash 0.2.13, sonic convolution)\nCopyright (c) 1997-2006 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct audioc_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int loglevel_arg;	/* set loglevel (0-6) (default='4').  */
  char * loglevel_orig;	/* set loglevel (0-6) original value given at command line.  */
  const char *loglevel_help; /* set loglevel (0-6) help description.  */
  char * socket_arg;	/* well-known socket (default=/var/paraslash/audiod.socket.$HOSTNAME).  */
  char * socket_orig;	/* well-known socket (default=/var/paraslash/audiod.socket.$HOSTNAME) original value given at command line.  */
  const char *socket_help; /* well-known socket (default=/var/paraslash/audiod.socket.$HOSTNAME) help description.  */
  char * tmpdir_arg;	/* directory for temporary socket (default=~/.paraslash).  */
  char * tmpdir_orig;	/* directory for temporary socket (default=~/.paraslash) original value given at command line.  */
  const char *tmpdir_help; /* directory for temporary socket (default=~/.paraslash) help description.  */
  int bufsize_arg;	/* size of internal buffer (default='8192').  */
  char * bufsize_orig;	/* size of internal buffer original value given at command line.  */
  const char *bufsize_help; /* size of internal buffer help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  int socket_given ;	/* Whether socket was given.  */
  int tmpdir_given ;	/* Whether tmpdir was given.  */
  int bufsize_given ;	/* Whether bufsize was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

extern const char *audioc_args_info_purpose;
extern const char *audioc_args_info_usage;
extern const char *audioc_args_info_help[];

int audioc_cmdline_parser (int argc, char * const *argv,
  struct audioc_args_info *args_info);
int audioc_cmdline_parser2 (int argc, char * const *argv,
  struct audioc_args_info *args_info,
  int override, int initialize, int check_required);
int audioc_cmdline_parser_file_save(const char *filename,
  struct audioc_args_info *args_info);

void audioc_cmdline_parser_print_help(void);
void audioc_cmdline_parser_print_version(void);

void audioc_cmdline_parser_init (struct audioc_args_info *args_info);
void audioc_cmdline_parser_free (struct audioc_args_info *args_info);

int audioc_cmdline_parser_configfile (char * const filename,
  struct audioc_args_info *args_info,
  int override, int initialize, int check_required);

int audioc_cmdline_parser_required (struct audioc_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* AUDIOC_CMDLINE_H */
