/* client.cmdline.h */

/* File autogenerated by gengetopt version 2.17rc2  */

#ifndef CLIENT_CMDLINE_H
#define CLIENT_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CLIENT_CMDLINE_PARSER_PACKAGE
#define CLIENT_CMDLINE_PARSER_PACKAGE "para_client"
#endif

#ifndef CLIENT_CMDLINE_PARSER_VERSION
#define CLIENT_CMDLINE_PARSER_VERSION "(paraslash 0.2.13, sonic convolution)\nCopyright (c) 1997-2006 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct client_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  char * hostname_arg;	/* ip or host to connect (default='localhost').  */
  char * hostname_orig;	/* ip or host to connect original value given at command line.  */
  const char *hostname_help; /* ip or host to connect help description.  */
  char * user_arg;	/* paraslash username (default='<current user>').  */
  char * user_orig;	/* paraslash username original value given at command line.  */
  const char *user_help; /* paraslash username help description.  */
  int server_port_arg;	/* port to connect (default='2990').  */
  char * server_port_orig;	/* port to connect original value given at command line.  */
  const char *server_port_help; /* port to connect help description.  */
  char * key_file_arg;	/* (default='~/.paraslash/key.<user>').  */
  char * key_file_orig;	/* (default='~/.paraslash/key.<user>') original value given at command line.  */
  const char *key_file_help; /* (default='~/.paraslash/key.<user>') help description.  */
  int loglevel_arg;	/* set loglevel (0-6) (default='5').  */
  char * loglevel_orig;	/* set loglevel (0-6) original value given at command line.  */
  const char *loglevel_help; /* set loglevel (0-6) help description.  */
  char * config_file_arg;	/* (default='~/.paraslash/client.conf').  */
  char * config_file_orig;	/* (default='~/.paraslash/client.conf') original value given at command line.  */
  const char *config_file_help; /* (default='~/.paraslash/client.conf') help description.  */
  int plain_flag;	/* request an uncrypted session (default=off).  */
  const char *plain_help; /* request an uncrypted session help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int hostname_given ;	/* Whether hostname was given.  */
  int user_given ;	/* Whether user was given.  */
  int server_port_given ;	/* Whether server_port was given.  */
  int key_file_given ;	/* Whether key_file was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  int config_file_given ;	/* Whether config_file was given.  */
  int plain_given ;	/* Whether plain was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

extern const char *client_args_info_purpose;
extern const char *client_args_info_usage;
extern const char *client_args_info_help[];

int client_cmdline_parser (int argc, char * const *argv,
  struct client_args_info *args_info);
int client_cmdline_parser2 (int argc, char * const *argv,
  struct client_args_info *args_info,
  int override, int initialize, int check_required);
int client_cmdline_parser_file_save(const char *filename,
  struct client_args_info *args_info);

void client_cmdline_parser_print_help(void);
void client_cmdline_parser_print_version(void);

void client_cmdline_parser_init (struct client_args_info *args_info);
void client_cmdline_parser_free (struct client_args_info *args_info);

int client_cmdline_parser_configfile (char * const filename,
  struct client_args_info *args_info,
  int override, int initialize, int check_required);

int client_cmdline_parser_required (struct client_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* CLIENT_CMDLINE_H */
