/* recv.cmdline.h */

/* File autogenerated by gengetopt version 2.17rc2  */

#ifndef RECV_CMDLINE_H
#define RECV_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef RECV_CMDLINE_PARSER_PACKAGE
#define RECV_CMDLINE_PARSER_PACKAGE "para_recv"
#endif

#ifndef RECV_CMDLINE_PARSER_VERSION
#define RECV_CMDLINE_PARSER_VERSION "(paraslash 0.2.13, sonic convolution)\nCopyright (c) 1997-2006 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct recv_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int loglevel_arg;	/* set loglevel (0-6) (default='4').  */
  char * loglevel_orig;	/* set loglevel (0-6) original value given at command line.  */
  const char *loglevel_help; /* set loglevel (0-6) help description.  */
  int list_receivers_flag;	/* print list of available receivers (default=off).  */
  const char *list_receivers_help; /* print list of available receivers help description.  */
  char * receiver_arg;	/* Select receiver.
  
  Any options for the selected receiver must
  be quoted. Example:
  
  	-r 'http -i www.paraslash.org  -p 8009'
 (default='http').  */
  char * receiver_orig;	/* Select receiver.
  
  Any options for the selected receiver must
  be quoted. Example:
  
  	-r 'http -i www.paraslash.org  -p 8009'
 original value given at command line.  */
  const char *receiver_help; /* Select receiver.
  
  Any options for the selected receiver must
  be quoted. Example:
  
  	-r 'http -i www.paraslash.org  -p 8009'
 help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  int list_receivers_given ;	/* Whether list_receivers was given.  */
  int receiver_given ;	/* Whether receiver was given.  */

} ;

extern const char *recv_args_info_purpose;
extern const char *recv_args_info_usage;
extern const char *recv_args_info_help[];

int recv_cmdline_parser (int argc, char * const *argv,
  struct recv_args_info *args_info);
int recv_cmdline_parser2 (int argc, char * const *argv,
  struct recv_args_info *args_info,
  int override, int initialize, int check_required);
int recv_cmdline_parser_file_save(const char *filename,
  struct recv_args_info *args_info);

void recv_cmdline_parser_print_help(void);
void recv_cmdline_parser_print_version(void);

void recv_cmdline_parser_init (struct recv_args_info *args_info);
void recv_cmdline_parser_free (struct recv_args_info *args_info);

int recv_cmdline_parser_configfile (char * const filename,
  struct recv_args_info *args_info,
  int override, int initialize, int check_required);

int recv_cmdline_parser_required (struct recv_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* RECV_CMDLINE_H */
